## krb5 1.6.dfsg.4~beta1-5lenny4

=== debian/changelog ===
krb5 (1.6.dfsg.4~beta1-5lenny4) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2010-1321: GSS API null pointer dereference.

 -- Sebastien Delafond <seb@debian.org>  Thu, 20 May 2010 11:42:49 +0200

krb5 (1.6.dfsg.4~beta1-5lenny3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2010-0629: unauthenticated remote KDC service crash.
    (Closes: #567052)

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 09 Apr 2010 18:48:35 +0200

krb5 (1.6.dfsg.4~beta1-5lenny2) stable-security; urgency=high

  * cve-2009-4212, MIT-KRB5-SA-2009-004:  Integer underflows in AES and
    RC4 decriptions.  This can definitely lead to a DOS attack and
    potentially may leae to execution of unexpected code.  It's
    potentially possible that arbitrary code could be executed, although
    much more likely that permuted heap contents or buffers not under
    attacker control will be executed.

 -- Sam Hartman <hartmans@debian.org>  Sun, 03 Jan 2010 15:31:06 -0500

krb5 (1.6.dfsg.4~beta1-5lenny1) stable-security; urgency=high

  * MITKRB5-SA-2009-0001: Fix read-beyond-end-of-buffer DOS in SPNEGO, an
    SPNEGO null pointer dereference, and incorrect length validation in
    an ASN.1 decoder.  (CVE-2009-0844, CVE-2009-0845, CVE-2009-0847)
  * MITKRB5-SA-2009-002: ASN.1 general time decoder can free uninitialized
    pointer.  (CVE-2009-0846)

 -- Russ Allbery <rra@debian.org>  Mon, 06 Apr 2009 17:48:12 -0700

krb5 (1.6.dfsg.4~beta1-5) unstable; urgency=low

  * Correct the actions of krb5_newrealm in its man page.  It doesn't
    create a keytab for kadmind since kadmind no longer needs one.
    Mention that it does create a stash file and that it starts the KDC
    and kadmind daemons.  Thanks, David Medberry.  (Closes: #504126)
  * Translation updates:
    - Spanish, thanks Ignacio Mondino.  (Closes: #504766)

 -- Russ Allbery <rra@debian.org>  Mon, 29 Dec 2008 22:21:21 -0800

krb5 (1.6.dfsg.4~beta1-4) unstable; urgency=low

  [ Russ Allbery ]
  * Translation updates:
    - Swedish, thanks Martin Bagge.  (Closes: #487669, #491774)
    - Italian, thanks Luca Monducci.  (Closes: #493962)

  [ Sam Hartman ]
  * Translation Updates:
      - Dutch, Thanks Vincent Zweije, Closes: #495733

 -- Sam Hartman <hartmans@debian.org>  Thu, 21 Aug 2008 10:41:41 -0400

krb5 (1.6.dfsg.4~beta1-3) unstable; urgency=low

  * Set length to 0 on no-salt ldap keys so they do not crash; uupstream
    ticket 5545, Closes: #480523 
  * Swedish translations, thanks Martin Bagge, Closes: #487563 

 -- Sam Hartman <hartmans@debian.org>  Sun, 22 Jun 2008 23:00:37 -0400

krb5 (1.6.dfsg.4~beta1-2) unstable; urgency=low

  [ Russ Allbery ]
  * Translation updates:
    - Japanese, thanks TANAKA, Atushi.
    - Russian, thanks Sergey Alyoshin.  (Closes: #485473)
    - Brazilian Portuguese, thanks Eder L. Marques.  (Closes: #485613)
    - Romanian, thanks Eddy Petrișor.  (Closes: #484996)

  [ Sam Hartman ]
  * Upload 1.6.4 beta 1 to unstable.  As best I can tell evaluating the
    changes this is a strict improvement over 1.6.3 even though it is
    still a beta version.  There is not  an ABI change ; backing out would
    be relatively easy.
  * Patch from  Bryan Kadzban  to look inside spnego union_creds when
    looking for a specific mechanism cred.  This allows spnego creds to be
    used when copying out to a ccache after delegation, Closes: #480434
  * Ksu now calls krb5_verify_init_creds rather than using its own custom
    logic because that is correct and so it can take advantage of the
    following change. 
    * krb5_verify_init_creds uses the default realm if it gets a referral
    realm as input for server, Closes: #435427  
  * Add -D_FORTIFY_SOURCE=2 and -fstack-protector on ia32 and x86_64 at
    the request of  Moritz Muehlenhoff ; he was unsure that adding these
    flags on other platforms would be a good idea.  I'd be happy to expand
    the list at the request of port maintainers, Closes: #484371 
  * Fix KDC purge code introduced in previous revision.

 -- Sam Hartman <hartmans@debian.org>  Mon, 16 Jun 2008 09:29:00 -0400

krb5 (1.6.dfsg.4~beta1-1) experimental; urgency=low

  [ Russ Allbery ]
  * Do not translate the Kerberos v4 modes.  They are literal strings
    passed to the Kerberos KDC as arguments to the -4 option.  Comment
    mentions of those strings in the debconf template so that
    translators know this.
  * Rather than prompting at installation time for whether the KDC
    database should be deleted on purge, prompt in prerm when the package
    is being removed for whether the database should be deleted.
  * Translation updates:
    - Galician, thanks Jacobo Tarrio.  (Closes: #482324)
    - French, thanks Christian Perrier.  (Closes: #482326)
    - Vietnamese, thanks Clytie Siddall.  (Closes: #482362)
    - Basque, thanks Piarres Beobide.  (Closes: #482376)
    - Czech, thanks Miroslav Kure.  (Closes: #482428)
    - German, thanks Helge Kreutzmann.  (Closes: #482366)
    - Spanish, thanks Diego D'Onofrio.
    - Finnish, thanks Esko Arajärvi.  (Closes: #482682)
    - Portuguese, thanks Miguel Figueiredo.  (Closes: #483049)

  [ Sam Hartman ]
  * Remove extra space in debian/rules so upstream configure scripts can
    work.
  * Upgrade to 1.6.4 beta 1.
  * Upstream includes several fixes to bugs that were assigned CVE
    numbers; upstream does not actually consider these security issues and
    no advisory was issued, but they are included here for the benefit of
    the security team in case anyone asks.  Closes: #454974
    - fix CVE-2007-5972: double fclose() in krb5_def_store_mkey()
    - fix CVE-2007-5971: double-free in gss_krb5int_make_seal_token_v3()
    - fix CVE-2007-5902: integer overflow in svcauth_gss_get_principal()
    - fix CVE-2007-5971: free of non-heap pointer in gss_indicate_mechs()
    - fix CVE-2007-5894: apparent uninit length in ftpd.c:reply()
  

