=== debian/control ===
Source: krb5
Section: net
Priority: standard
Build-Depends: debhelper (>= 5), byacc | bison, comerr-dev, docbook-to-man,
 libkeyutils-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libldap2-dev,
 libncurses5-dev, libssl-dev, ss-dev, texinfo
Standards-Version: 3.7.3
Maintainer: Sam Hartman <hartmans@debian.org>
Uploaders: Thomas Maass <inyourface@gmx.de>
vcs-git: git://git.debian.org/git/pkg-k5-afs/debian-krb5.git
vcs-browser: http://git.debian.org/?p=pkg-k5-afs/debian-krb5.git

Package: libkadm55
Section: libs
Priority: optional
Depends: ${shlibs:Depends}, libkrb53 (= ${binary:Version})
Architecture: any
Description: MIT Kerberos administration runtime libraries
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the administration runtime libraries, used by the
 kadmin protocol and the KDC.

Package: libkrb53
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: krb5-doc, krb5-user
Conflicts: ssh-krb5 (<< 3.8.1p1-10),
 libapache-mod-auth-kerb (<= 4.996-5.0-rc6-2),
 libapache2-mod-auth-kerb (<= 4.996-5.0-rc6-2)
Description: MIT Kerberos runtime libraries
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the runtime libraries used by applications and
 Kerberos clients.

Package: krb5-user
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, libkrb53 (= ${binary:Version}),
 libkadm55 (= ${binary:Version}), krb5-config
Conflicts: heimdal-clients
Description: Basic programs to authenticate using MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the basic programs to authenticate to MIT Kerberos,
 change passwords, and talk to the admin server (to create and delete
 principals, list principals, etc.).

Package: krb5-clients
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, libkrb53 (= ${binary:Version}), krb5-config
Suggests: rsh-client
Conflicts: heimdal-clients
Provides: telnet-client
Description: Secure replacements for ftp, telnet and rsh using MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains secure replacements for ftp, telnet, rsh, rlogin,
 and rcp that use Kerberos for authentication.

Package: krb5-rsh-server
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, libkrb53 (= ${binary:Version}), krb5-config,
 openbsd-inetd | inet-superserver
Provides: rsh-server
Description: Secure replacements for rshd and rlogind using MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains replacements for rshd and rlogind that use Kerberos
 for authentication.

Package: krb5-ftpd
Architecture: any
Depends: ${shlibs:Depends}, libkrb53 (= ${binary:Version}), krb5-config,
 openbsd-inetd | inet-superserver
Conflicts: ftpd
Priority: extra
Provides: ftp-server
Description: Secure FTP server supporting MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains an FTP server that uses Kerberos for
 authentication.

Package: krb5-telnetd
Architecture: any
Depends: ${shlibs:Depends}, libkrb53 (= ${binary:Version}), krb5-config,
 krb5-rsh-server, openbsd-inetd | inet-superserver
Conflicts: telnetd, telnet-server
Provides: telnet-server
Priority: extra
Description: Secure telnet server supporting MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains a replacement for telnetd that uses Kerberos for
 authentication.

Package: krb5-kdc
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, libkrb53 (= ${binary:Version}),
 krb5-config, krb5-user, lsb-base (>= 3.0-6),
Suggests: openbsd-inetd | inet-superserver, krb5-admin-server,
 krb5-kdc-ldap (= ${binary:Version})
Conflicts: krb5-doc (<= 1.6.dfsg.3-1)
Replaces: krb5-doc (<= 1.6.dfsg.3-1)
Description: MIT Kerberos key server (KDC)
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the Kerberos key server (KDC).  The KDC manages all
 authentication credentials for a Kerberos realm, holds the master keys
 for the realm, and responds to authentication requests.  This package
 should be installed on both master and slave KDCs.

Package: krb5-kdc-ldap
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, krb5-kdc (= ${binary:Version})
Description: MIT Kerberos key server (KDC) LDAP plugin
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the LDAP plugin for the Kerberos key server (KDC)
 and supporting utilities.  This plugin allows the KDC data to be stored
 in an LDAP server rather than the default local database.  It should be
 installed on both master and slave KDCs that use LDAP as a storage
 backend.

Package: krb5-admin-server
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, libkrb53 (= ${binary:Version}),
 krb5-kdc, lsb-base (>= 3.0-6)
Description: MIT Kerberos master server (kadmind)
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the Kerberos master server (kadmind), which handles
 account creations and deletions, password changes, and other
 administrative commands via the Kerberos admin protocol.  It also
 contains the command used by the master KDC to propagate its database to
 slave KDCs.  This package is generally only used on the master KDC for a
 Kerberos realm.

Package: libkrb5-dev
Section: libdevel
Architecture: any
Depends: libkrb53 (= ${binary:Version}), libkadm55 (= ${binary:Version}),
 comerr-dev
Conflicts: heimdal-dev
Priority: extra
Suggests: krb5-doc
Description: Headers and development libraries for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the symlinks, headers, and development libraries
 needed to compile and link programs that use the Kerberos libraries.

Package: libkrb5-dbg
Architecture: any
Depends: libkrb53 (= ${binary:Version}) | libkadm55 (= ${binary:Version})
 | libkdb-ldap1 (= ${binary:Version})
Priority: extra
Section: libdevel
Description: Debugging files for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the debugging information for the MIT Kerberos
 libraries.  Install this package if you need to trace problems inside the
 MIT Kerberos libraries with a debugger.

Package: krb5-pkinit
Architecture: any
Depends: libkrb53 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends} 
Suggests: opensc
Replaces: libkrb53 (<= 1.6.dfsg.3~beta1-1)
Priority: extra
Section: net
Description: PKINIT plugin for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains a plugin for the PKINIT protocol, which allows
 Kerberos tickets to be obtained using public-key credentials such as
 X.509 certificates or a smart card.  This plugin can be used by the
 client libraries and the KDC.  

Package: krb5-doc
Architecture: all
Priority: optional
Conflicts: heimdal-docs
Section: doc
Description: Documentation for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the installation, administrator, and user reference
 manuals for MIT Kerberos and the man pages for the MIT Kerberos
 configuration files.
