=== debian/watch ===
# debian/watch -- Rules for uscan to find new upstream versions.

version=3
opts=dversionmangle=s/\.dfsg// \
    http://web.mit.edu/kerberos/dist/ krb5/[\d.]+/krb5-([\d.]+)-signed.tar$
